ECB_Mode_ExternalCipher Class Reference

ECB mode, external cipher. More...

Inheritance diagram for ECB_Mode_ExternalCipher:

## Public Types

typedef CipherModeFinalTemplate_ExternalCipher< ECB_OneWay > | Encryption
typedef Encryption | Decryption
Public Types inherited from SymmetricCipherDocumentation
typedef SymmetricCipher | Encryption
| implements the SymmetricCipher interface
typedef SymmetricCipher | Decryption
| implements the SymmetricCipher interface

## Detailed Description

ECB mode, external cipher.

Definition at line 433 of file modes.h.

The documentation for this class was generated from the following file:

- modes.h